.support-block {
  max-width: 1270px;
  margin: 0 auto;
}

.support-block .support-block-frame {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: space-between;
  min-height: 197px;
  padding-left: 48px;
  border-radius: 30px;
  background: var(--color-teal-deep);
  overflow: visible;
}

.support-block .support-block-frame.no-image {
  width: 100%;
  min-height: 156px;
  padding-left: 72px;
}

.support-block .support-block-content {
  display: flex;
  align-items: center;
  gap: 38px;
  min-width: 0;
}

.support-block .support-block-frame.no-image .support-block-content {
  gap: 41px;
}

.support-block .support-block-lead {
  display: flex;
  align-items: center;
  gap: 41px;
  min-width: 0;
}

.support-block .support-block-icon {
  flex: 0 0 auto;
  width: 58px;
}

.support-block .support-block-icon picture,
.support-block .support-block-icon img {
  display: block;
  width: 100%;
  height: auto;
}

.support-block .support-block-text {
  color: var(--color-lime-soft);
  font-family: var(--heading-font-family);
  font-size: 35px;
  line-height: 36px;
}

.support-block .support-block-text p strong {
  font-weight: 600;
}

.support-block .support-block-text p span {
  color: var(--color-blue-muted);
}

.support-block .support-block-text p,
.support-block .support-block-info p {
  margin: 0;
}

.support-block .support-block-text p:not(:first-child) {
  font-weight: var(--font-weight-light);
  line-height: 41px;
}

.support-block .support-block-separator {
  flex: 0 0 1px;
  width: 1px;
  height: 88px;
  background: var(--color-blue-muted);
}

.support-block .support-block-info {
  color: var(--color-off-white);
  font-family: var(--default-font-family);
  font-size: 25px;
  font-weight: var(--font-weight-regular);
  line-height: 30px;
  max-width: 384px;
}

.support-block .support-block-frame.no-image .support-block-info {
  max-width: 647px;
}

.support-block .support-block-right-image {
  position: absolute;
  right: 0;
  top: -115px;
  width: 339px;
  height: 312px;
  pointer-events: none;
}

.support-block .support-block-right-image picture,
.support-block .support-block-right-image img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.support-block .support-block-frame.homepage-variation {
  padding-left: 0;
}

.support-block .support-block-frame.homepage-variation .support-block-icon {
  display: none;
}

.support-block .support-block-frame.homepage-variation .support-block-content {
  margin-left: 420px;
  gap: 34px;
}

.support-block .support-block-frame.homepage-variation .support-block-lead {
  gap: 0;
}

.support-block .support-block-frame.homepage-variation .support-block-right-image {
  left: 16px;
  right: auto;
  top: -151px;
  width: 378px;
  height: 348px;
}

@media (width < 1200px) {
  .support-block .support-block-frame,
  .support-block .support-block-frame.no-image {
    flex-direction: column;
    align-items: stretch;
    justify-content: flex-start;
    min-height: 0;
    margin: 0 auto;
    padding: 30px 20px 0;
    overflow: visible;
  }

  .support-block .support-block-content {
    flex-direction: column;
    align-items: stretch;
    gap: 0px;
    width: 100%;
  }

  .support-block .support-block-lead {
    display: grid;
    grid-template-columns: 52px 1fr;
    column-gap: 16px;
    width: 100%;
    align-items: start;
  }

  .support-block .support-block-icon {
    width: 52px;
    margin-top: 2px;
  }

  .support-block .support-block-text {
    font-size: 30px;
  }

  .support-block .support-block-text p {
    display: inline;
  }

  .support-block .support-block-separator {
    width: 100%;
    height: 3px;
    margin: 20px 0 30px;
    flex: unset;
  }

  .support-block .support-block-info {
    font-size: 20px;
    max-width: none;
    text-align: center;
  }

  .support-block .support-block-right-image {
    position: relative;
    left: auto;
    transform: none;
    top: auto;
    right: auto;
    width: 264px;
    height: 244px;
    margin: 13px auto 0;
  }

  .support-block .support-block-right-image picture,
  .support-block .support-block-right-image img {
    height: 100%;
  }

  .support-block .support-block-frame.homepage-variation {
    padding: 30px 20px 0;
  }

  .support-block .support-block-frame.homepage-variation .support-block-icon {
    display: block;
  }

  .support-block .support-block-frame.homepage-variation .support-block-content {
    margin-left: 0;
    gap: 0;
  }

  .support-block .support-block-frame.homepage-variation .support-block-lead {
    row-gap: 0;
    column-gap: 16px;
  }

  .support-block .support-block-frame.homepage-variation .support-block-right-image {
    position: relative;
    left: auto;
    right: auto;
    top: auto;
    width: 264px;
    height: 244px;
    margin: 13px auto 0;
  }

  .support-block .support-block-frame.no-image .support-block-content {
   gap: 0px;
  }

  .support-block .support-block-frame.no-image .support-block-info {
    max-width: unset;
    margin-bottom: 14px;
  }
}
